OutofcoreCloud Class Reference

`#include <pcl/outofcore/visualization/outofcore_cloud.h>`

Inheritance diagram for OutofcoreCloud:

## Classes

class | CloudDataCacheItem
struct | PcdQueueItem

## Public Types

using | PcdQueue = std::priority_queue< PcdQueueItem >
using | CloudDataCache = LRUCache< std::string, CloudDataCacheItem >

## Public Member Functions

| OutofcoreCloud (std::string name, boost::filesystem::path &tree_root)
void | updateVoxelData ()
OctreeDiskPtr | getOctree ()
vtkSmartPointer< vtkActor > | getVoxelActor () const
vtkSmartPointer< vtkActorCollection > | getCloudActors () const
void | setDisplayDepth (int displayDepth)
int | getDisplayDepth () const
std::uint64_t | getPointsLoaded () const
std::uint64_t | getDataLoaded () const
Eigen::Vector3d | getBoundingBoxMin ()
Eigen::Vector3d | getBoundingBoxMax ()
void | setDisplayVoxels (bool display_voxels)
bool | getDisplayVoxels ()
void | setRenderCamera (Camera *render_camera)
int | getLodPixelThreshold ()
void | setLodPixelThreshold (int lod_pixel_threshold)
void | increaseLodPixelThreshold ()
void | decreaseLodPixelThreshold ()
void | render (vtkRenderer *renderer) override
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()
std::string | getName () const
void | setName (std::string name)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Static Public Member Functions

static void | pcdReaderThread ()

## Static Public Attributes

static std::shared_ptr< std::thread > | pcd_reader_thread
static PcdQueue | pcd_queue
static std::mutex | pcd_queue_mutex
static std::condition_variable | pcd_queue_ready
static CloudDataCache | cloud_data_cache
static std::mutex | cloud_data_cache_mutex

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
std::mutex | actors_mutex_

## Detailed Description

Definition at line 31 of file outofcore_cloud.h.

## Member Typedef Documentation

## CloudDataCache

using OutofcoreCloud::CloudDataCache = LRUCache<std::string, CloudDataCacheItem>

Definition at line 106 of file outofcore_cloud.h.

## PcdQueue

using OutofcoreCloud::PcdQueue = std::priority_queue<PcdQueueItem>

Definition at line 76 of file outofcore_cloud.h.

## Constructor & Destructor Documentation

## OutofcoreCloud()

OutofcoreCloud::OutofcoreCloud | ( | std::string | name,
|  | boost::filesystem::path & | tree_root
| ) |  |

## Member Function Documentation

## decreaseLodPixelThreshold()

void OutofcoreCloud::decreaseLodPixelThreshold | ( |  | ) |

inline

Definition at line 241 of file outofcore_cloud.h.

## getBoundingBoxMax()

Eigen::Vector3d OutofcoreCloud::getBoundingBoxMax | ( |  | ) |

inline

Definition at line 186 of file outofcore_cloud.h.

## getBoundingBoxMin()

Eigen::Vector3d OutofcoreCloud::getBoundingBoxMin | ( |  | ) |

inline

Definition at line 180 of file outofcore_cloud.h.

## getCloudActors()

vtkSmartPointer<vtkActorCollection> OutofcoreCloud::getCloudActors | ( |  | ) | const

inline

Definition at line 136 of file outofcore_cloud.h.

## getDataLoaded()

std::uint64_t OutofcoreCloud::getDataLoaded | ( |  | ) | const

inline

Definition at line 174 of file outofcore_cloud.h.

## getDisplayDepth()

int OutofcoreCloud::getDisplayDepth | ( |  | ) | const

inline

Definition at line 162 of file outofcore_cloud.h.

## getDisplayVoxels()

bool OutofcoreCloud::getDisplayVoxels | ( |  | ) |

inline

Definition at line 198 of file outofcore_cloud.h.

## getLodPixelThreshold()

int OutofcoreCloud::getLodPixelThreshold | ( |  | ) |

inline

Definition at line 210 of file outofcore_cloud.h.

## getOctree()

OctreeDiskPtr OutofcoreCloud::getOctree | ( |  | ) |

inline

Definition at line 124 of file outofcore_cloud.h.

## getPointsLoaded()

std::uint64_t OutofcoreCloud::getPointsLoaded | ( |  | ) | const

inline

Definition at line 168 of file outofcore_cloud.h.

## getVoxelActor()

vtkSmartPointer<vtkActor> OutofcoreCloud::getVoxelActor | ( |  | ) | const

inline

Definition at line 130 of file outofcore_cloud.h.

## increaseLodPixelThreshold()

void OutofcoreCloud::increaseLodPixelThreshold | ( |  | ) |

inline

Definition at line 225 of file outofcore_cloud.h.

## pcdReaderThread()

static void OutofcoreCloud::pcdReaderThread | ( |  | ) |

static

## render()

void OutofcoreCloud::render | ( | vtkRenderer * | renderer | ) |

override virtual

Reimplemented from Object.

## setDisplayDepth()

void OutofcoreCloud::setDisplayDepth | ( | int | displayDepth | ) |

inline

Definition at line 142 of file outofcore_cloud.h.

References updateVoxelData().

## setDisplayVoxels()

void OutofcoreCloud::setDisplayVoxels | ( | bool | display_voxels | ) |

inline

Definition at line 192 of file outofcore_cloud.h.

## setLodPixelThreshold()

void OutofcoreCloud::setLodPixelThreshold | ( | int | lod_pixel_threshold | ) |

inline

Definition at line 216 of file outofcore_cloud.h.

## setRenderCamera()

void OutofcoreCloud::setRenderCamera | ( | Camera * | render_camera | ) |

inline

Definition at line 204 of file outofcore_cloud.h.

## updateVoxelData()

void OutofcoreCloud::updateVoxelData | ( |  | ) |

Referenced by setDisplayDepth().

## Member Data Documentation

## cloud_data_cache

CloudDataCache OutofcoreCloud::cloud_data_cache

static

Definition at line 107 of file outofcore_cloud.h.

## cloud_data_cache_mutex

std::mutex OutofcoreCloud::cloud_data_cache_mutex

static

Definition at line 108 of file outofcore_cloud.h.

## pcd_queue

PcdQueue OutofcoreCloud::pcd_queue

static

Definition at line 77 of file outofcore_cloud.h.

## pcd_queue_mutex

std::mutex OutofcoreCloud::pcd_queue_mutex

static

Definition at line 78 of file outofcore_cloud.h.

## pcd_queue_ready

std::condition_variable OutofcoreCloud::pcd_queue_ready

static

Definition at line 79 of file outofcore_cloud.h.

## pcd_reader_thread

std::shared_ptr<std::thread> OutofcoreCloud::pcd_reader_thread

static

Definition at line 56 of file outofcore_cloud.h.

The documentation for this class was generated from the following file:

- pcl/outofcore/visualization/outofcore_cloud.h